cgicc: datasplayer Struct Reference

# datasplayer Struct Reference

A data model for the player. More...

List of all members.

## Public Attributes
vector< string > * | cardsList
| A list of the cards.
string | identifiant
| the identifiant of the player
bool | isPlaying
| If the player is playing the value is at true.
int | points
| the score of the player
string | actualCard
| The actual played card.

## Detailed Description

A data model for the player.

The model can give informations on the player as the id , if is currently have the game turn , the points the list of cards and the actual played card

Definition at line 61 of file cardgame.cpp.

## Member Data Documentation

vector<string >* datasplayer::cardsList

A list of the cards.

Contain all the cards of the player in the game.

Definition at line 67 of file cardgame.cpp.

Referenced by CardGameTools::convertStringToStuct(), CardGameTools::convertStructToString(), CardGameTools::drawPlayerCards(), CardGameTools::gameRules(), CardGameTools::getGame(), and CardGameTools::writeGame().

string datasplayer::identifiant

the identifiant of the player

Definition at line 72 of file cardgame.cpp.

Referenced by CardGameTools::convertStringToStuct(), CardGameTools::convertStructToString(), CardGameTools::createGame(), CardGameTools::drawInfos(), CardGameTools::gameRules(), CardGameTools::getGame(), main(), CardGameTools::playACard(), CardGameTools::testCard(), CardGameTools::turnPlayers(), CardGameTools::writeGame(), and CardGameTools::writeWinner().

bool datasplayer::isPlaying

If the player is playing the value is at true.

Definition at line 77 of file cardgame.cpp.

Referenced by CardGameTools::createGame(), CardGameTools::drawPlayerCards(), CardGameTools::gameRules(), CardGameTools::getGame(), CardGameTools::testCard(), CardGameTools::turnPlayers(), and CardGameTools::writeGame().

int datasplayer::points

the score of the player

Definition at line 82 of file cardgame.cpp.

Referenced by CardGameTools::createGame(), CardGameTools::gameRules(), CardGameTools::getGame(), and CardGameTools::writeGame().

string datasplayer::actualCard

The actual played card.

Definition at line 87 of file cardgame.cpp.

Referenced by CardGameTools::createGame(), CardGameTools::getGame(), and CardGameTools::writeGame().

The documentation for this struct was generated from the following file:

- cardgame.cpp